%global debug_package %{nil}

Name:           ocaml-benchmark
Version:        1.4
Release:        2%{?dist}
Summary:        Benchmarking module for OCaml

License:        LGPLv3+ with exceptions
URL:            http://ocaml-benchmark.forge.ocamlcore.org/
Source0:        https://github.com/Chris00/ocaml-benchmark/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  ocaml-oasis-devel
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamldoc

%description
Benchmark provides functions to measure and compare the run-time of functions.
It is inspired by the Perl module of the same name.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{version}


%build
make setup.ml
ocaml setup.ml -configure --destdir $RPM_BUILD_ROOT --prefix %{_prefix}
ocaml setup.ml -build


%install
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
ocaml setup.ml -install


%check
ocaml setup.ml -test


%files
%doc README.md
%license LICENSE.txt
%{_libdir}/ocaml/benchmark
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/benchmark/*.a
%exclude %{_libdir}/ocaml/benchmark/*.cmxa
%exclude %{_libdir}/ocaml/benchmark/*.cmx
%endif
%exclude %{_libdir}/ocaml/benchmark/*.mli


%files devel
%doc README.md
%license LICENSE.txt
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/benchmark/*.a
%{_libdir}/ocaml/benchmark/*.cmxa
%{_libdir}/ocaml/benchmark/*.cmx
%endif
%{_libdir}/ocaml/benchmark/*.mli


%changelog
* Sat Dec 02 2017 Richard W.M. Jones <rjones@redhat.com> - 1.4-2
- OCaml 4.06.0 rebuild.

* Mon Nov 20 2017 Andy Li <andy@onthewings.net> - 1.4-1
- Initial RPM release.
